coap_uri_t Struct Reference

Representation of parsed URI. More...

`#include <uri.h>`

Collaboration diagram for coap_uri_t:
[legend]

## Data Fields

coap_str_const_t | host
| host part of the URI More...
uint16_t | port
| The port in host byte order. More...
coap_str_const_t | path
| Beginning of the first path segment. More...
coap_str_const_t | query
| The query part if present. More...
enum coap_uri_scheme_t | scheme
| The parsed scheme specifier. More...

## Detailed Description

Representation of parsed URI.

Components may be filled from a string with coap_split_uri() or coap_split_proxy_uri() and can be used as input for option-creation functions.

Definition at line 40 of file uri.h.

## Field Documentation

## host

coap_str_const_t coap_uri_t::host

host part of the URI

Definition at line 41 of file uri.h.

## path

coap_str_const_t coap_uri_t::path

Beginning of the first path segment.

Use coap_split_path() to create Uri-Path options

Definition at line 43 of file uri.h.

## port

uint16_t coap_uri_t::port

The port in host byte order.

Definition at line 42 of file uri.h.

## query

coap_str_const_t coap_uri_t::query

The query part if present.

Definition at line 45 of file uri.h.

## scheme

enum coap_uri_scheme_t coap_uri_t::scheme

The parsed scheme specifier.

Definition at line 45 of file uri.h.

The documentation for this struct was generated from the following file:

- uri.h